#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    int xi,yi,nx,ny;
    long r,g,b;
    if(argc!=1+3+2) {
        fprintf(stderr,
"Welcome to ppmconstant by Issac Trotts, written April 18, 2006.\n"
"This program generates an image whose pixels are all the same color.\n"
"\n"
"Usage: ppmconstant r g b rows cols > file.ppm\n"
"where r, g, and b are integers such that 0<=r<=255 etc., rows is the number of \n"
"rows in the output image, and cols is the number of columns.\n"
"\n"
);
    }
    r=strtol(argv[1],NULL,10);
    g=strtol(argv[2],NULL,10);
    b=strtol(argv[3],NULL,10);
    ny=strtol(argv[4],NULL,10);
    nx=strtol(argv[5],NULL,10);
    printf("P6\n");
    printf("%i %i\n",nx,ny);
    printf("255\n");
    for(yi=0;yi<ny;yi++) {
        for(xi=0;xi<nx;xi++) {
            fputc(r,stdout);
            fputc(g,stdout);
            fputc(b,stdout);
        }
    }
    return 0;
}

