function g=radialgabor(syze,w)
% g=radialgabor(syze,w)
% returns a syze x syze image, with a radially-symmetric complex gabor
% function having frequency w 

[xs,ys]=meshgrid(linspace(-1,1,syze),linspace(-1,1,syze));
r2s = (xs.*xs+ys.*ys).^0.5;
g=gabor(r2s,0,1/3,w);

endfunction

